Bug Hunting Session
Bug 87245 - Crash when opening Page dialog, after sorting with a macro
Summary: Crash when opening Page dialog, after sorting with a macro
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-12-11 21:41 UTC by Laurent BP
Modified: 2014-12-18 09:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File with macro for random sorting (124.12 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-12-11 21:41 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2014-12-11 21:41:28 UTC
Created attachment 110756 [details]
File with macro for random sorting

Description: Calc crashes whith Format > Page, after execution of a macro making sort

Steps to reproduce:
1. Launch LibO
2. Set security macro to medium: Tool>Options>LibreOffice>Security: Macro Security
3. Open attached file
4. Click "Enable Macros"
5. Click on button "Start Macro" on sheet PT_GC1 to launch macro Standard.CompteStyles.GenereListe
/This macro will attribute random number to student in sheet GC1 and GC1_2. It makes also some sorting operations/
6. Select Format > Page

Actual behavior:
Crash

Expected behavior:
Open Page dialog

There is no crash if you open previously Page dialog. You need to start LibO to see the crash.

Reproduced with:
- Version: 4.5.0.0.alpha0+
Build ID: 5757af8008cb6881e9a40ec2b4e28330bc4fef7f
TinderBox: Win-x86@42, Branch:master, Time: 2014-12-09_03:38:06
Locale: fr_FR
- Version: 4.4.0.0.beta2
Build ID: be92f32b8f21603a6b7a75dd645f7475bdee519d
Locale : fr_FR
- Version: 4.4.0.0.alpha0+
Build ID: ad85ce18d3939170e5ef7b1a1f8e5dda2c8aeb9c
TinderBox: Win-x86@39, Branch:master, Time: 2014-08-11_05:21:44

Executing macro make directly crash:
- Version: 4.4.0.0.alpha0+
Build ID: abc28ffc04067eb24840fbf564c311aaee10f84d
TinderBox: Win-x86@39, Branch:master, Time: 2014-07-15_07:18:40

NOT reproduced with:
- Version: 4.4.0.0.alpha0+
Build ID: 32ac015be4d0f33120bc066e7f49e197c7405c45
TinderBox: Win-x86@39, Branch:master, Time: 2014-06-10_04:54:30
- Version: 4.3.4.1
Build ID: bc356b2f991740509f321d70e4512a6a54c5f243

I tryed to simplify macro, but it is still quite long, and variable names are in French. I can translate them if it could help.
Comment 1 Joel Madero 2014-12-12 05:16:01 UTC
Ubuntu 14.04 x64
LibreOffice 4.5 Build ID: 8b65be4740f4349b769a8709867e0cc32d93686d
LibreOffice 4.3.4.1

Confirmed:
Regression (works fine in 4.3, broken on master)

New
Major - crash but not serious enough to be a critical bug
High - despite being a regression, currently one sample file triggering it.


@Laurent BP - if you disagree and want to set to highest and put on MAB - go for it :)
Comment 2 Laurent BP 2014-12-12 09:11:57 UTC
@Joel, thanks for the confirmation.

Bug seems specific to Format > Page dialog: no crash with Format > Cells, Tools > Options, File > Print Preview, File > Versions, Data > Sort... I was unable to reproduce crash with another dialog.
An easy workaround is to open dialog previous starting macro. But this bug may hide some problems.
Comment 3 Commit Notification 2014-12-12 15:03:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a85674c93150d6f5a59e998158909365b47d761

Resolves: fdo#87245 crash because clip doc doesn't own DocumentPool

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-12-16 19:40:12 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e7f03c29a4c915674247be1946af2101b5a3d7d5&h=libreoffice-4-4

Resolves: fdo#87245 crash because clip doc doesn't own DocumentPool

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Laurent BP 2014-12-18 09:37:10 UTC
Hello,

Master builds are back :) I could verified the fix with
Version: 4.5.0.0.alpha0+
Build ID: 7aaadcfce963079aafd52988bd834f50c2d6a4ec
TinderBox: Win-x86@42, Branch:master, Time: 2014-12-18_00:02:04
Locale: fr_FR

Thanks Caolàn